<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/color_f7f8f9"
    android:orientation="vertical"
    tools:ignore="MissingDefaultResource">

    <include
        android:id="@+id/toolbar_include"
        layout="@layout/common_toolbar_layout" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="14dp"
        android:layout_marginTop="12dp"
        android:layout_marginRight="14dp"
        android:background="@drawable/bg_white_10dp">

        <ImageView
            android:id="@+id/im_clock"
            android:layout_width="@dimen/dp_16"
            android:layout_height="@dimen/dp_16"
            android:layout_marginLeft="11dp"
            android:background="@drawable/icon_clock"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_date"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="7dp"
            android:text="2021/09/17 14:00~15:00"
            android:textColor="@color/color_666666"
            android:textSize="@dimen/sp_13"
            app:layout_constraintBottom_toBottomOf="@+id/im_clock"
            app:layout_constraintLeft_toRightOf="@+id/im_clock"
            app:layout_constraintTop_toTopOf="@+id/im_clock" />

        <TextView
            android:id="@+id/tv_state"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginRight="11dp"
            android:text="已结束"
            android:textColor="@color/color_999999"
            android:textSize="@dimen/sp_14"
            app:layout_constraintBottom_toBottomOf="@+id/im_clock"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="@+id/im_clock" />

        <View
            android:id="@+id/view_line"
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginLeft="10dp"
            android:layout_marginTop="10dp"
            android:layout_marginRight="9dp"
            android:background="@color/color_f2f2f2"
            app:layout_constraintTop_toBottomOf="@+id/im_clock" />

        <com.cooleshow.base.widgets.QMUIRadiusImageView
            android:id="@+id/im_header"
            android:layout_width="@dimen/dp_47"
            android:layout_height="@dimen/dp_51"
            android:layout_marginLeft="11dp"
            android:layout_marginTop="17dp"
            android:layout_marginBottom="20dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/view_line"
            app:qmui_corner_radius="5dp" />

        <TextView
            android:id="@+id/tv_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="10dp"
            android:text="张豆豆"
            android:textColor="@color/color_1a1a1a"
            android:textSize="@dimen/sp_16"
            app:layout_constraintLeft_toRightOf="@+id/im_header"
            app:layout_constraintTop_toTopOf="@+id/im_header" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_mark"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="10dp"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="@+id/im_header"
            app:layout_constraintLeft_toRightOf="@+id/im_header" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="14dp"
        android:layout_marginTop="12dp"
        android:layout_marginRight="14dp"
        android:background="@drawable/bg_white_10dp"
        android:paddingBottom="10dp">

        <View
            android:id="@+id/view_title_line_homework"
            android:layout_width="4dp"
            android:layout_height="14dp"
            android:layout_marginStart="12dp"
            android:layout_marginTop="13dp"
            android:background="@drawable/shape_course_title_tag_bg"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_homework_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:includeFontPadding="false"
            android:paddingStart="5dp"
            android:text="课后作业"
            android:textColor="@color/color_1a1a1a"
            android:textSize="@dimen/sp_13"
            app:layout_constraintBottom_toBottomOf="@+id/view_title_line_homework"
            app:layout_constraintLeft_toRightOf="@+id/view_title_line_homework"
            app:layout_constraintTop_toTopOf="@+id/view_title_line_homework" />

        <TextView
            android:id="@+id/tv_set_homework"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:drawableLeft="@drawable/icon_set_homework"
            android:drawablePadding="3dp"
            android:includeFontPadding="false"
            android:paddingEnd="11dp"
            android:text="@string/set_homework_str"
            android:textColor="@color/color_2dc7aa"
            android:textSize="@dimen/sp_14"
            android:visibility="visible"
            app:layout_constraintBottom_toBottomOf="@+id/view_title_line_homework"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="@+id/view_title_line_homework" />

        <FrameLayout
            android:id="@+id/view_homework_content_bg"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="11dp"
            android:layout_marginTop="11dp"
            android:layout_marginEnd="11dp"
            android:background="@drawable/shape_bg_f7f8f9_4dp"
            android:minHeight="88dp"
            android:padding="11dp"
            app:layout_constraintTop_toBottomOf="@+id/view_title_line_homework">

            <TextView
                android:id="@+id/tv_homework_empty_text"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:drawableLeft="@drawable/icon_homework_empty"
                android:drawablePadding="8dp"
                android:gravity="center_vertical"
                android:text="课程结束之后记得布置作业哦！"
                android:textColor="@color/color_999999"
                android:textSize="@dimen/sp_13" />

            <TextView
                android:id="@+id/tv_homework_content"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:includeFontPadding="false"
                android:textColor="@color/color_333333"
                android:textSize="@dimen/sp_13"
                android:visibility="gone"
                tools:text="每个音的指法比较熟练，但是遇到指法变换比较频繁的小节熟练度不足，建议平时可以选择指法变换较大的曲目多加练习！" />
        </FrameLayout>
    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="14dp"
        android:layout_marginTop="12dp"
        android:layout_marginRight="14dp"
        android:background="@drawable/bg_white_10dp"
        android:paddingBottom="10dp">

        <View
            android:id="@+id/view_video_work_line"
            android:layout_width="4dp"
            android:layout_height="14dp"
            android:layout_marginStart="12dp"
            android:layout_marginTop="13dp"
            android:background="@drawable/shape_course_title_tag_bg"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_video_work_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:includeFontPadding="false"
            android:paddingStart="5dp"
            android:text="视频作业"
            android:textColor="@color/color_1a1a1a"
            android:textSize="@dimen/sp_13"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="@+id/view_video_work_line"
            app:layout_constraintLeft_toRightOf="@+id/view_video_work_line"
            app:layout_constraintTop_toTopOf="@+id/view_video_work_line" />

        <FrameLayout
            android:id="@+id/view_homework_video_content_bg"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="11dp"
            android:layout_marginTop="11dp"
            android:layout_marginEnd="11dp"
            android:background="@drawable/shape_bg_f7f8f9_4dp"
            android:minHeight="88dp"
            android:padding="11dp"
            app:layout_constraintTop_toBottomOf="@+id/view_video_work_line">

            <TextView
                android:id="@+id/tv_homework_video_empty_text"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:drawableLeft="@drawable/icon_homework_video_empty"
                android:drawablePadding="8dp"
                android:gravity="center_vertical"
                android:text="学员尚未上传作业视频"
                android:textColor="@color/color_999999"
                android:textSize="@dimen/sp_13" />
        </FrameLayout>

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_video"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_5"
            android:layout_marginTop="@dimen/dp_38"
            android:layout_marginRight="@dimen/dp_5"
            android:layout_marginBottom="@dimen/dp_8"
            android:visibility="visible"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintTop_toTopOf="parent" />


    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="12dp"
        android:background="@drawable/bg_white_10dp"
        android:paddingBottom="10dp">

        <View
            android:id="@+id/view_title_line_homework_comment"
            android:layout_width="4dp"
            android:layout_height="14dp"
            android:layout_marginStart="12dp"
            android:layout_marginTop="13dp"
            android:background="@drawable/shape_course_title_tag_bg"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_homework_comment_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:includeFontPadding="false"
            android:paddingStart="5dp"
            android:text="作业点评"
            android:textColor="@color/color_1a1a1a"
            android:textSize="@dimen/sp_13"
            app:layout_constraintBottom_toBottomOf="@+id/view_title_line_homework_comment"
            app:layout_constraintLeft_toRightOf="@+id/view_title_line_homework_comment"
            app:layout_constraintTop_toTopOf="@+id/view_title_line_homework_comment" />

        <TextView
            android:id="@+id/tv_homework_set_comment"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:drawableLeft="@drawable/icon_edit_appraisal"
            android:drawablePadding="3dp"
            android:includeFontPadding="false"
            android:paddingEnd="11dp"
            android:text="@string/comment_str"
            android:textColor="@color/color_2dc7aa"
            android:textSize="@dimen/sp_14"
            android:visibility="visible"
            app:layout_constraintBottom_toBottomOf="@+id/view_title_line_homework_comment"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="@+id/view_title_line_homework_comment" />

        <FrameLayout
            android:id="@+id/view_homework_comment_content_bg"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="11dp"
            android:layout_marginTop="11dp"
            android:layout_marginEnd="11dp"
            android:background="@drawable/shape_bg_f7f8f9_4dp"
            android:minHeight="88dp"
            android:padding="11dp"
            app:layout_constraintTop_toBottomOf="@+id/view_title_line_homework_comment">

            <TextView
                android:id="@+id/tv_homework_comment_empty_text"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:drawableLeft="@drawable/icon_homework_comment"
                android:drawablePadding="8dp"
                android:gravity="center_vertical"
                android:text="您尚未点评作业"
                android:textColor="@color/color_999999"
                android:textSize="@dimen/sp_13" />

            <TextView
                android:id="@+id/tv_homework_comment_content"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:includeFontPadding="false"
                android:textColor="@color/color_333333"
                android:textSize="@dimen/sp_13"
                android:visibility="gone"
                tools:text="每个音的指法比较熟练，但是遇到指法变换比较频繁的小节熟练度不足，建议平时可以选择指法变换较大的曲目多加练习！" />
        </FrameLayout>
    </androidx.constraintlayout.widget.ConstraintLayout>


</LinearLayout>